﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Graphics;
using RecrownedAthenaeum.DataTypes;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace RecrownedAthenaeum.Pipeline.TextureAtlas
{
    internal class TextureAtlasImporter : ContentImporter<TextureAtlasFile>
    {
        public override TextureAtlasFile Import(string filename, ContentImporterContext context)
        {
            StreamReader stream = new StreamReader(filename);
            XmlSerializer serializer = new XmlSerializer(typeof(TextureAtlasFile));
            TextureAtlasFile atlas = (TextureAtlasFile)serializer.Deserialize(stream);
            context.AddDependency(atlas.textureName);
            stream.Dispose();
            return atlas;
        }
    }
}
